from rest_framework import serializers
from mosquito.models import Mosquito ,MosqPost
from smart.api.serializers import SmartListSerializer


class MosqListSerializer(serializers.ModelSerializer):

    class Meta:
        model = Mosquito
        fields = [
            'name',
            'device_id',
            'region'
        ]


class MosqPostListSerializer(serializers.ModelSerializer):
    region = serializers.SerializerMethodField()

    class Meta:
        model = MosqPost
        fields = [
            'mosq',
            'led',
            'energy',
            'region',
            'time',
        ]

    def get_region(self, obj):
        return obj.mosq.region
